namespace SHH.CameraDashboard
{
    public class ApiClient
    {
        // 单例模式
        public static ApiClient Instance { get; } = new ApiClient();

        // 各个模块的访问入口
        public CameraRepository Cameras { get; }
        public MonitorRepository Monitor { get; }

        private ApiClient()
        {
            Cameras = new CameraRepository();
            Monitor = new MonitorRepository();
        }
    }
}
